﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace VP_Lecture6_Ex3
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            ToolTip.SetToolTip(OutputText, "This is output text.");
            ToolTip.SetToolTip(PostalCode, "Enter a postal code here.");
        }

        private void PostalCode_TextChanged(object sender, EventArgs e)
        {
            OutputText.Clear();
            if (PostalCode.MaskFull == true)
            {
                OutputText.Text = PostalCode.Text;
            }
            else
            {
                OutputText.Text = "Incomplete code!"; 
            }
        }

        private void PostalCode_MaskInputRejected(object sender, MaskInputRejectedEventArgs e)
        {
            ToolTip.ToolTipTitle = "Invalid input";
            ToolTip.Show("We're sorry, but only digits (0-9) are allowed in postal codes.", PostalCode, PostalCode.Location, 5000);
        }
    }
}
